
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;
using Microsoft.AspNetCore.Mvc;

namespace CloudBuilder.Security.Service
{
    public  interface ISecurityMasterService :IServiceBase<SecurityMasterEntity, SecurityMasterEntityKey ,SecurityMasterSearchCriteria>
    {
        SecurityMasterEntity[] FindAll();

        SecurityMasterResultData FindBySearchCriteria(SecurityMasterSearchCriteria tc);
        dynamic PrintBySearchCriteria(SecurityMasterSearchCriteria tc);

        void Deletes(SecurityMasterEntity[] datas);

    }
}
